package net.ensode.wickettest;

import wicket.PageParameters;
import wicket.markup.html.WebPage;
import wicket.markup.html.basic.Label;

public class WicketTestConfPage extends WebPage
{

  public WicketTestConfPage(PizzaModel pizzaModel)
  {
    super();
    add(new Label("crust", pizzaModel.getCrust()));
    add(new Label("pepperoni", new Boolean(pizzaModel.getPepperoni())
        .toString()));
    add(new Label("sausage", new Boolean(pizzaModel.getSausage()).toString()));
    add(new Label("onions", new Boolean(pizzaModel.getOnions()).toString()));
    add(new Label("greenPeppers", new Boolean(pizzaModel.getGreenPeppers())
        .toString()));
    add(new Label("comments", pizzaModel.getComments()));
  }
}
